Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 565)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 566)
@@ -24,5 +24,6 @@
       print("Neither the personal configuration file '.ncl.config' exists in")
       print("~/palm/current_version")
-      print("nor the default configuration file '.ncl.config.default' exists in")
+      print("nor the default configuration file '.ncl.config.default' "+\
+            "exists in")
       print(palm_bin_path + "/NCL")
       print(" ")
@@ -60,6 +61,6 @@
    file_in   = new(no_files,string)
    file_in_1 = new(no_files,logical)
-   start_f   = new(no_files,integer)
-   end_f     = new(no_files,integer)
+   start_f_t = new(no_files,integer)
+   end_f_t   = new(no_files,integer)
    
    if (file_1 .EQ. "File in") then
@@ -73,22 +74,24 @@
    file_in_1(0) = False
    if (isStrSubset(file_in(0), ".nc"))then
-      start_f_1 = -2
-      end_f_1 = -2 
+      start_f = -2
+      end_f = -2 
       file_in_1(0) = True     
    end if  
-   if (start_f_1 .EQ. -1)then
-      print(" ")
-      print("'start_f_1' must be one of the cyclic numbers (at least 0) of your input file(s)")
+   if (start_f .EQ. -1)then
+      print(" ")
+      print("'start_f' must be one of the cyclic numbers (at least 0) "+\
+            "of your input file(s)")
       print(" ")  
       exit
    end if 
-   if (end_f_1 .EQ. -1)then
-      print(" ")
-      print("'end_f_1' must be one of the cyclic numbers (at least 0) of your input file(s)")
+   if (end_f .EQ. -1)then
+      print(" ")
+      print("'end_f' must be one of the cyclic numbers (at least 0) of "+\
+            "your input file(s)")
       print(" ")  
       exit
    end if            
-   start_f(0) = start_f_1 
-   end_f(0) = end_f_1    
+   start_f_t(0) = start_f 
+   end_f_t(0) = end_f   
  
    if (no_files .GT. 1) then
@@ -109,5 +112,6 @@
       if (start_f_2 .EQ. -1)then
          print(" ")
-         print("'start_f_2' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'start_f_2' must be one of the cyclic numbers (at least 0) "+\
+              "of your input file(s)")
          print(" ")  
          exit
@@ -115,5 +119,6 @@
       if (end_f_2 .EQ. -1)then
          print(" ")
-         print("'end_f_2' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'end_f_2' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -140,5 +145,6 @@
       if (start_f_3 .EQ. -1)then
          print(" ")
-         print("'start_f_3' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'start_f_3' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -146,5 +152,6 @@
       if (end_f_3 .EQ. -1)then
          print(" ")
-         print("'end_f_3' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'end_f_3' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -171,5 +178,6 @@
       if (start_f_4 .EQ. -1)then
          print(" ")
-         print("'start_f_4' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'start_f_4' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -177,5 +185,6 @@
       if (end_f_4 .EQ. -1)then
          print(" ")
-         print("'end_f_4' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'end_f_4' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -202,5 +211,6 @@
       if (start_f_5 .EQ. -1)then
          print(" ")
-         print("'start_f_5' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'start_f_5' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -208,5 +218,6 @@
       if (end_f_5 .EQ. -1)then
          print(" ")
-         print("'end_f_5' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'end_f_5' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -233,5 +244,6 @@
       if (start_f_6 .EQ. -1)then
          print(" ")
-         print("'start_f_6' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'start_f_6' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -239,5 +251,6 @@
       if (end_f_6 .EQ. -1)then
          print(" ")
-         print("'end_f_6' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print("'end_f_6' must be one of the cyclic numbers (at least 0) "+\
+               "of your input file(s)")
          print(" ")  
          exit
@@ -248,5 +261,8 @@
 
    
-   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. format_out .NE. "png")then
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND.  \
+      format_out .NE. "eps" .AND. format_out .NE. "ps" .AND.    \
+      format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. \
+      format_out .NE. "png")then
       print(" ")
       print("'format_out = "+format_out+"' is invalid and set to'x11'")
@@ -273,5 +289,6 @@
       over = 0
       print(" ")
-      print("If you have more than one input file - you cannot overlay variables: over is set to 0")
+      print("If you have more than one input file - you cannot overlay "+\
+            "variables: over is set to 0")
       print(" ")
    end if
@@ -286,5 +303,6 @@
       combine = 0
       print(" ")
-      print("If you have more than one input file you cannot combine variables: combine is set to 0")
+      print("If you have more than one input file you cannot combine "+\
+            "variables: combine is set to 0")
       print(" ")
    end if   
@@ -336,5 +354,5 @@
    do nof=0,no_files-1
 
-   files=new(end_f(nof)-start_f(nof)+1,string)
+   files=new(end_f_t(nof)-start_f_t(nof)+1,string)
    if (file_in_1(nof))then
       if (isfilepresent(file_in(nof)))then
@@ -347,13 +365,14 @@
       end if
    else
-      if (start_f(nof) .EQ. 0)then
+      if (start_f_t(nof) .EQ. 0)then
          if (isfilepresent(file_in(nof)+".nc"))then
             files(0)=file_in(nof)+".nc"
-            do i=1,end_f(nof)
+            do i=1,end_f_t(nof)
    	       if (isfilepresent(file_in(nof)+"."+i+".nc"))then    
                   files(i)=file_in(nof)+"."+i+".nc"
 	       else
 	          print(" ")
-                  print("Input file: '"+file_in(nof)+"."+i+".nc' does not exist")
+                  print("Input file: '"+file_in(nof)+"."+i+".nc' does not "+\
+                        "exist")
                   print(" ")
                   exit  
@@ -367,7 +386,7 @@
          end if
       else
-         do i=start_f(nof),end_f(nof)
+         do i=start_f_t(nof),end_f_t(nof)
             if (isfilepresent(file_in(nof)+"."+i+".nc"))then    
-               files(i-start_f(nof))=file_in(nof)+"."+i+".nc"
+               files(i-start_f_t(nof))=file_in(nof)+"."+i+".nc"
    	    else
 	       print(" ")
@@ -392,5 +411,6 @@
       if (dim0 .NE. dim)then
          print(" ")
-	 print("There are 'no_files'="+no_files+" input files but they do not contain the same variables")
+	 print("There are 'no_files'="+no_files+" input files but they do "+\
+               "not contain the same variables")
          print(" ")
          exit
@@ -399,5 +419,6 @@
             if (vNam0(i) .NE. vNam(i))then
                print(" ")
-               print("There are 'no_files'="+no_files+" input files but they do not contain the same variables")
+               print("There are 'no_files'="+no_files+" input files but "+\
+                     "they do not contain the same variables")
                print(" ")
                exit
@@ -423,5 +444,6 @@
    prof3d = 0
    do varn = dim-1,0,1
-      if ( isStrSubset( vNam(varn), "zu_3d") .OR. isStrSubset( vNam(varn), "zw_3d")) then
+      if ( isStrSubset( vNam(varn), "zu_3d") .OR. \
+           isStrSubset( vNam(varn), "zw_3d")) then
          prof3d = 1
 	 break
@@ -475,5 +497,6 @@
 
       do j=0,comma-2
-         vNam_temp(j) = charactertostring(var_char(indices(j)+1:indices(j+1)-1))
+         vNam_temp(j) = charactertostring(\
+                                   var_char(indices(j)+1:indices(j+1)-1))
       end do
 
@@ -548,5 +571,5 @@
     end if
 
-   ;-----------------------------------------------------below steps only for first file -> nof=0
+   ;---------below steps only for first file -> nof=0
    if (nof .EQ. 0) then
 
@@ -564,5 +587,6 @@
  
    do varn=0,dim-1
-      if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+      if ( isStrSubset( vNam(varn), "time") .OR. \
+           isStrSubset( vNam(varn), "NORM")) then
          continue
       end if
@@ -616,6 +640,6 @@
                                           break
                                        else
-                                          if(vNam(varn) .EQ. "es" .OR. isStrSubset(vNam(varn), "es_")\
-                                             .OR. vNam(varn) .EQ. "e*" .OR. isStrSubset(vNam(varn), "e*_"))then
+                                          if(vNam(varn) .EQ. "es" .OR. \
+                                           isStrSubset(vNam(varn), "es_") .OR. vNam(varn) .EQ. "e*" .OR. isStrSubset(vNam(varn), "e*_"))then
                                              z_u = f_att->$vNam(varn+1)$ 
                                              break
@@ -881,5 +905,6 @@
       co=0
       do varn=0,dim-1      
-         if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+         if ( isStrSubset( vNam(varn), "time") .OR. \
+              isStrSubset( vNam(varn), "NORM")) then
             check = False
          else
@@ -983,5 +1008,7 @@
       if (start_time_step .GT. t_all(nt-1)/3600)then
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +"h is greater "+\
+               "than last time step = " \
+               + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'start_time_step'")
@@ -991,5 +1018,6 @@
       if (start_time_step .LT. t_all(0)/3600)then
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +"h is lower "+\
+               "than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
          exit
@@ -998,5 +1026,6 @@
 
    do i=0,nt-1    
-      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND.\
+          start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
@@ -1021,5 +1050,7 @@
       if (end_time_step .GT. t_all(nt-1)/3600)then
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'end_time_step' = "+ end_time_step +"h is greater "+\
+               "than last time step = " +\
+                t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'end_time_step'")  
@@ -1029,5 +1060,6 @@
       if (end_time_step .LT. start_time_step/3600)then
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
+         print("'end_time_step' = "+ end_time_step +"h is lower "+\
+               "than 'start_time_step' = "+start_time_step+"h")
          print(" ")
          print("Select another 'start_time_step' or 'end_time_step'")
@@ -1038,5 +1070,6 @@
 
    do i=0,nt-1     
-      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND.\
+          end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
@@ -1072,15 +1105,20 @@
    if (time_stride .GE. no_time) then
       print(" ")
-      print("'time_stride' is greater equal than number of available time steps,")
+      print("'time_stride' is greater equal than number of available "+\
+           "time steps,")
       print("=> 'time_stride' is set to 1")
       time_stride = 1
    end if
 
-   ti_in = ispan(start_time_step,end_time_step,time_stride) ;ti_in contents the time indices to plot
+   ti_in = ispan(start_time_step,end_time_step,time_stride) ;ti_in contents 
+                                                            ;the time indices 
+                                                            ;to plot
    np    = dimsizes(ti_in)  
 
    print(" ")
-   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
-   print("                     till "+t_all(ti_in(np-1))/3600+" h = "+t_all(ti_in(np-1))+" s => index = "+end_time_step)
+   print("Output of time steps from "+t_all(start_time_step)/3600+\
+         " h = "+t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(ti_in(np-1))/3600+" h = "\
+        +t_all(ti_in(np-1))+" s => index = "+end_time_step)
    print("                     with temporal stride = "+time_stride)
    print(" ")
@@ -1091,9 +1129,8 @@
    ; ****************************************************
    
-   legend_label=new(np,double)
+   legend_label=new(np,string)
    do p=0, np-1
-      legend_label(p)=decimalPlaces(t_all(ti_in(p))/3600,3,True)         
+      legend_label(p)=sprintf("%6.2f", t_all(ti_in(p))/3600)
    end do
-   
 
    ; ***************************************************
@@ -1150,5 +1187,6 @@
          res@xyMonoDashPattern       = True  
          print(" ") 
-         print("If you use more than one file, patterns for different timesteps cannot be used")
+         print("If you use more than one file, patterns for different "+\
+               "timesteps cannot be used")
          print(" ") 
       end if       
@@ -1202,5 +1240,6 @@
             if (min_z .GE. max(z_w) ) then
                print(" ")
-               print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_w)+")")
+               print("Minimum of height ('min_z'="+min_z+") is greater "+\
+                     "than available heights (="+max(z_w)+")")
                print(" ")
                exit
@@ -1209,5 +1248,6 @@
 	    if (min_z .GE. max(z_u) ) then
                print(" ")
-               print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
+               print("Minimum of height ('min_z'="+min_z+") is greater "+\
+                     "than available heights (="+max(z_u)+")")
                print(" ")
                exit
@@ -1217,5 +1257,6 @@
             if (min_z .LT. z_u(1) ) then
                print(" ")
-               print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
+               print("Begin height 'min_z' at least at level k=1 (="+\
+                     z_u(1)+"m) due to the logarithmic scale of the y-axis")
                print(" ")
                exit
@@ -1224,5 +1265,6 @@
 	    if (min_z .LT. z_w(1) ) then
                print(" ")
-               print("Begin height 'min_z' at least at level k=1 (="+z_w(1)+"m) due to the logarithmic scale of the y-axis")
+               print("Begin height 'min_z' at least at level k=1 (="+\
+                     z_w(1)+"m) due to the logarithmic scale of the y-axis")
                print(" ")
                exit
@@ -1244,5 +1286,6 @@
          if (min_z .GE. max(z_w) ) then
             print(" ")
-            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_w)+")")
+            print("Minimum of height ('min_z'="+min_z+") is greater than "+\
+                  "available heights (="+max(z_w)+")")
             print(" ")
             exit
@@ -1254,5 +1297,6 @@
 	 if (min_z .GE. max(z_u) ) then
             print(" ")
-            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
+            print("Minimum of height ('min_z'="+min_z+") is greater than "+\
+                  "available heights (="+max(z_u)+")")
             print(" ")
             exit
@@ -1274,5 +1318,6 @@
       if (max_z .GT. max(z_w) ) then
          print(" ")
-         print("Maximum of height ('max_z'="+max_z+") is greater than available heights (="+max(z_w)+")")
+         print("Maximum of height ('max_z'="+max_z+") is greater than "+\
+               "available heights (="+max(z_w)+")")
          print(" ")
          exit
@@ -1359,5 +1404,5 @@
 
    end if
-   ;------------------------------------------------------ above steps only for first file
+   ;-------above steps only for first file
 
    ; ***************************************************
@@ -1535,5 +1580,6 @@
    if (start_x .GT. dimx-1)then
       print(" ")
-      print("'start_x' is greater than available x-range and set to maximum of x-range (excluding ghostpoint)")
+      print("'start_x' is greater than available x-range and set to "+\
+            "maximum of x-range (excluding ghostpoint)")
       print(" ")
       start_x=dimx-2
@@ -1546,5 +1592,6 @@
    if (end_x .GT. dimx-1)then
       print(" ")
-      print("'end_x' = "+end_x+" is greater than available x-range and set to maximum of x-range (excluding ghostpoint)")
+      print("'end_x' = "+end_x+" is greater than available x-range and set "+\
+            "to maximum of x-range (excluding ghostpoint)")
       print(" ")
       end_x=dimx-2
@@ -1552,5 +1599,6 @@
    if (end_x .LT. start_x)then
       print(" ")
-      print("'end_x' = "+end_x+" is lower than 'start_x' = "+start_x+" and set to maximum of x-range (excluding ghostpoint)")
+      print("'end_x' = "+end_x+" is lower than 'start_x' = "+start_x+\
+            " and set to maximum of x-range (excluding ghostpoint)")
       print(" ")
       end_x=dimx-2
@@ -1564,5 +1612,6 @@
    if (start_y .GT. dimy-1)then
       print(" ")
-      print("'start_y' is greater than available y-range and set to maximum of y-range (excluding ghostpoint)")
+      print("'start_y' is greater than available y-range and set to "+\
+            "maximum of y-range (excluding ghostpoint)")
       print(" ")
       start_x=dimy-2
@@ -1575,5 +1624,6 @@
    if (end_y .GT. dimy-1)then
       print(" ")
-      print("'end_y' = "+end_y+" is greater than available y-range and set to maximum of y-range (excluding ghostpoint)")
+      print("'end_y' = "+end_y+" is greater than available y-range and "+\
+            "set to maximum of y-range (excluding ghostpoint)")
       print(" ")
       end_x=dimy-2
@@ -1581,5 +1631,6 @@
    if (end_y .LT. start_y)then
       print(" ")
-      print("'end_y' = "+end_y+" is lower than 'start_y' = "+start_y+" and set to maximum of y-range (excluding ghostpoint)")
+      print("'end_y' = "+end_y+" is lower than 'start_y' = "+start_y+\
+            " and set to maximum of y-range (excluding ghostpoint)")
       print(" ")
       end_y=dimy-2
@@ -1603,9 +1654,18 @@
       
       if (prof3d .EQ. 0) then
-         if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+         if ( isStrSubset( vNam(varn), "time") .OR. \
+              isStrSubset( vNam(varn), "NORM")) then
             check = False
          end if
       else
-         if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "zusi") .OR. isStrSubset( vNam(varn), "zwwi") .OR. isStrSubset( vNam(varn), "x") .OR. isStrSubset( vNam(varn), "xu") .OR. isStrSubset( vNam(varn), "y") .OR. isStrSubset( vNam(varn), "yv") .OR. isStrSubset( vNam(varn), "zu_3d") .OR. isStrSubset( vNam(varn), "zw_3d")) then
+         if ( isStrSubset( vNam(varn), "time") .OR.  \
+              isStrSubset( vNam(varn), "zusi") .OR.  \
+              isStrSubset( vNam(varn), "zwwi") .OR.  \
+              isStrSubset( vNam(varn), "x") .OR.     \
+              isStrSubset( vNam(varn), "xu") .OR.    \
+              isStrSubset( vNam(varn), "y") .OR.     \
+              isStrSubset( vNam(varn), "yv") .OR.    \ 
+              isStrSubset( vNam(varn), "zu_3d") .OR. \
+              isStrSubset( vNam(varn), "zw_3d")) then
             check = False
          end if
@@ -1637,6 +1697,8 @@
                         temp = f[:]->$vNam(varn)$
 			temp_att = f_att->$vNam(varn)$ 
-	                data_temp = temp(ti_in(j),i,start_y:end_y,start_x:end_x)
-			data(varn,j,i-1) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
+	                data_temp = temp(ti_in(j),i,\
+                                         start_y:end_y,start_x:end_x)
+			data(varn,j,i-1) = dim_avg_Wrap(\
+                                                   dim_avg_Wrap(data_temp))
                      end do
                   end do
@@ -1646,5 +1708,6 @@
                         temp = f[:]->$vNam(varn)$
 			temp_att = f_att->$vNam(varn)$ 
-			data_temp = temp(ti_in(j),i,start_y:end_y,start_x:end_x)
+			data_temp = temp(ti_in(j),i,\
+                                            start_y:end_y,start_x:end_x)
                         data(varn,j,i) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
                      end do
@@ -1658,5 +1721,6 @@
             if (n_o .GT. number_comb-1) then
                print(" ")
-               print("Set 'number_comb' to the number of overlaying variables ('c_var' = "+c_var+")")
+               print("Set 'number_comb' to the number of overlaying "+\
+                     "variables ('c_var' = "+c_var+")")
                print(" ")
                exit
@@ -1666,9 +1730,11 @@
 	       max_value = abs(0.01*max(data(varn,:,:)))
 	    else
-	       if (abs(min(data(varn,:,:))) .LT. 0.01 .AND. abs(max(data(varn,:,:))) .GT. 0.01)then
+	       if (abs(min(data(varn,:,:))) .LT. 0.01 .AND. \
+                   abs(max(data(varn,:,:))) .GT. 0.01)then
 	          min_value = abs(0.1*max(data(varn,:,:)))
 	          max_value = abs(0.1*max(data(varn,:,:)))
 	       else
-	          if (abs(max(data(varn,:,:))) .LT. 0.01 .AND. abs(min(data(varn,:,:))) .GT. 0.01)then
+	          if (abs(max(data(varn,:,:))) .LT. 0.01 .AND. \
+                      abs(min(data(varn,:,:))) .GT. 0.01)then
 	             min_value = abs(0.1*min(data(varn,:,:)))
 	             max_value = abs(0.1*min(data(varn,:,:)))
@@ -1679,5 +1745,6 @@
 	       end if
 	    end if 
-	    if (min(data(varn,:,:)) .EQ. 0 .AND. max(data(varn,:,:)) .EQ. 0)then
+	    if (min(data(varn,:,:)) .EQ. 0 .AND. \
+                max(data(varn,:,:)) .EQ. 0)then
 	       min_value = 0.1
 	       max_value = 0.1
@@ -1782,5 +1849,6 @@
          if(max_z_int .eq. min_z_int)
              print(" ")
-             print("Please increase 'max_z' or decrease 'min_z' so that there are")
+             print("Please increase 'max_z' or decrease 'min_z' so that "+\
+                   "there are")
              print("at least two layers for the z-axis to plot")
              print(" ")
@@ -1843,10 +1911,12 @@
             res@trYMaxF            = max_z 
             if (xs .EQ. -1) then 
-               res@trXMinF            = min(data(varn,:,min_z_int:max_z_int))-min_value
+               res@trXMinF            = min(data(varn,:,min_z_int:max_z_int))-\
+                                                                      min_value
             else 
                res@trXMinF            = xs     
             end if
             if (xe .EQ. -1) then 
-               res@trXMaxF            = max(data(varn,:,min_z_int:max_z_int))+max_value 
+               res@trXMaxF            = max(data(varn,:,min_z_int:max_z_int))+\
+                                                                      max_value
             else 
                res@trXMaxF            = xe  
@@ -2301,5 +2371,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq) then
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) \
+               .EQ. "w"+dq+"pt"+dq) then
                miniwpptp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpptp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2418,5 +2489,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "w"+dq+"vpt"+dq) then
+            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) \
+                .EQ. "w"+dq+"vpt"+dq) then
                miniwpvptp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpvptp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2558,5 +2630,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq) then
+            if (vNam(varn) .EQ. "wpqvp" .OR. \
+               vNam(varn) .EQ. "w"+dq+"qv"+dq) then
                miniwpqvp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpqvp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2698,5 +2771,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpsap" .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq) then
+            if (vNam(varn) .EQ. "wpsap" .OR. \
+                vNam(varn) .EQ. "w"+dq+"sa"+dq) then
                miniwpsap=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpsap=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2838,5 +2912,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "w*u*u*:dz") then
+            if (vNam(varn) .EQ. "wsususodz" .OR. \
+                vNam(varn) .EQ. "w*u*u*:dz") then
                miniwsususodz=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsususodz=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2884,5 +2959,6 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "wpeodz" .OR. vNam(varn) .EQ. "w"+dq+"p:dz") then
+            if (vNam(varn) .EQ. "wpeodz" .OR. \
+                vNam(varn) .EQ. "w"+dq+"p:dz") then
                miniwpeodz=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpeodz=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2935,5 +3011,6 @@
    if (isStrSubset(data@long_name," SR " ) .and. over_remind) then
       print(" ")
-      print("If you have outputs of statistic regions you cannot overlay variables;")
+      print("If you have outputs of statistic regions you cannot overlay "+\
+            "variables;")
       print("'over' is set to 0" )
       print(" ")
@@ -2992,5 +3069,6 @@
          lgres@vpHeightF          = 0.03*no_files          
          lgres@lgDashIndexes      = multi_dash(no_files-1:0)
-         lbid = gsn_create_legend(wks,no_files,multi_legend(no_files-1:0),lgres)       
+         lbid = gsn_create_legend(\
+                            wks,no_files,multi_legend(no_files-1:0),lgres)
 
          amres = True
@@ -3073,9 +3151,18 @@
       
          if (prof3d .EQ. 0) then
-            if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+            if ( isStrSubset( vNam(varn), "time") .OR. \
+                 isStrSubset( vNam(varn), "NORM")) then
                check = False
             end if
          else
-            if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "zusi") .OR. isStrSubset( vNam(varn), "zwwi") .OR. isStrSubset( vNam(varn), "x") .OR. isStrSubset( vNam(varn), "xu") .OR. isStrSubset( vNam(varn), "y") .OR. isStrSubset( vNam(varn), "yv") .OR. isStrSubset( vNam(varn), "zu_3d") .OR. isStrSubset( vNam(varn), "zw_3d")) then
+            if ( isStrSubset( vNam(varn), "time") .OR.  \
+                 isStrSubset( vNam(varn), "zusi") .OR.  \
+                 isStrSubset( vNam(varn), "zwwi") .OR.  \
+                 isStrSubset( vNam(varn), "x") .OR.     \
+                 isStrSubset( vNam(varn), "xu") .OR.    \
+                 isStrSubset( vNam(varn), "y") .OR.     \
+                 isStrSubset( vNam(varn), "yv") .OR.    \
+                 isStrSubset( vNam(varn), "zu_3d") .OR. \
+                 isStrSubset( vNam(varn), "zw_3d")) then
                check = False
             end if
@@ -3162,5 +3249,6 @@
             plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
             
-            if (vNam(varn) .EQ. "u" .OR. vNam(varn) .EQ. "v" .OR. vNam(varn) .EQ. "w") then
+            if (vNam(varn) .EQ. "u" .OR. vNam(varn) .EQ. "v" .OR. \
+                vNam(varn) .EQ. "w") then
                if (u .EQ. 0) then
                   res@gsnLeftString      = "u, v and w"
@@ -3186,5 +3274,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3193,5 +3281,5 @@
                   lgres@lgLabelFont        = "helvetica"    
                   lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.06           
+                  lgres@vpWidthF           = 0.07           
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
@@ -3199,7 +3287,7 @@
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_u)
                   u=1
@@ -3212,5 +3300,6 @@
             end if  
      
-            if (vNam(varn) .EQ. "pt" .OR. vNam(varn) .EQ. "vpt" .OR. vNam(varn) .EQ. "lpt") then
+            if (vNam(varn) .EQ. "pt" .OR. vNam(varn) .EQ. "vpt" .OR. \
+                vNam(varn) .EQ. "lpt") then
                if (pt .EQ. 0) then
                   res@gsnLeftString      = "pt, vpt and lpt"
@@ -3236,5 +3325,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
